Updated today… few bugs



  • Hello.

    Today I've updated my slave router from:

    2.1-DEVELOPMENT (amd64)
    built on Tue Sep 13 17:33:40 EDT 2011
    FreeBSD 8.1-RELEASE-p4
    

    to:

    2.1-DEVELOPMENT (amd64)
    built on Thu Apr 5 12:15:36 EDT 2012
    FreeBSD 8.3-RC2
    

    and encountered following problems:

    1. After going to dashboard I'm getting following crash report:

    Crash report begins.  Anonymous machine information:
    
    amd64
    8.3-RC2
    FreeBSD 8.3-RC2 #1: Thu Apr  5 12:15:12 EDT 2012     root@FreeBSD_8.3_pfSense_2.1.snaps.pfsense.org:/usr/obj./usr/pfSensesrc/src/sys/pfSense_SMP.8
    
    Crash report details:
    
    PHP Errors:
    [06-Apr-2012 11:56:05 UTC] PHP Fatal error:  Cannot break/continue 1 level in /etc/rc.filter_synchronize on line 281
    

    BTW, sending crash reports from GUI doesn't work

    Not found
    
    The requested URL /crash_reporter.php was not found on this server.
    

    2. I don't have IP-Blocklist package installed yet my logs are filled with this every 15 minutes:

    php: : The command '/usr/local/pkg/pf/IP-Blocklist.sh start' returned exit code '2', the output was 'not running root: IP-Blocklist was found not running Status: 404 Not Found Content-type: text/html No input file specified. 0 table deleted. 0 table deleted. /usr/local/pkg/pf/IP-Blocklist.sh: cannot create /usr/local/www/packages/ipblocklist/file_list.txt: No such file or directory /usr/local/pkg/pf/IP-Blocklist.sh: cannot create /usr/local/www/packages/ipblocklist/file_Wlist.txt: No such file or directory cat: /usr/local/www/packages/ipblocklist/file_list.txt: No such file or directory cat: /usr/local/www/packages/ipblocklist/file_Wlist.txt: No such file or directory rm: /usr/local/www/packages/ipblocklist/lists/ipfw.ipfwTEMP: No such file or directory /usr/local/pkg/pf/IP-Blocklist.sh: cannot create /usr/local/www/packages/ipblocklist/lists/ipfw.ipfwTEMP: No such file or directory /usr/bin/sort: open failed: /usr/local/www/packages/ipblocklist/lists/ipfw.ipfw: No such file or directory
    


  • I was going to create a tread myself but i'll add to this since we used the same snapshot.

    I think this got fix this morning, i noticed a fix was added to the file

    
    PHP Errors:
    [06-Apr-2012 11:56:05 UTC] PHP Fatal error:  Cannot break/continue 1 level in /etc/rc.filter_synchronize on line 281
    
    

    lastest gitsync gives this error and makes the box useless that it wouldnt route traffic over the wan interface:

    
    [06-Apr-2012 02:28:06 UTC] PHP Fatal error:  Call to undefined function is_function() in /etc/inc/vslb.inc on line 161
    
    

    miniupnpd doesn't seem to work, its not opening up ports for clients. (i think this was reported before tho)

    
    Apr 6 07:52:23 	miniupnpd[23934]: ioctl(dev, DIOCGETRULES, ...): Invalid argument
    Apr 6 07:51:20 	miniupnpd[23934]: ioctl(dev, DIOCCHANGERULE, ...) PF_CHANGE_GET_TICKET: Invalid argument
    Apr 6 07:51:20 	miniupnpd[23934]: ioctl(dev, DIOCCHANGERULE, ...) PF_CHANGE_GET_TICKET: Invalid argument
    Apr 6 07:51:20 	miniupnpd[23934]: ioctl(dev, DIOCGETRULES, ...): Invalid argument
    Apr 6 07:51:20 	miniupnpd[23934]: ioctl(dev, DIOCGETRULES, ...): Invalid argument
    Apr 6 07:48:59 	miniupnpd[23934]: ioctl(dev, DIOCGETRULES, ...): Invalid argument
    Apr 6 07:48:59 	miniupnpd[23934]: ioctl(dev, DIOCGETRULES, ...): Invalid argument
    
    

    I have a vlan which I user PRI for traffic shaping, i get this error when its enabled:

    
    Apr 6 07:53:55 	php: : There were error(s) loading the rules: pfctl: em0_vlan5: driver does not support altq - The line in question reads [0]:
    Apr 6 07:53:55 	php: : New alert found: There were error(s) loading the rules: pfctl: em0_vlan5: driver does not support altq - The line in question reads [0]:
    Apr 6 07:53:53 	php: : The command '/sbin/pfctl -o basic -f /tmp/rules.debug' returned exit code '1', the output was 'pfctl: em0_vlan5: driver does not support altq'
    
    

    I switch back to 2.0.1 binaries before grabbing demsg but in 2.0.1 its using em0: <intel(r) 1000="" pro="" network="" connection="" 7.2.3="">port 0xcc00-0xcc1f mem 0xfe8e0000-0xfe8fffff,0xfe8c0000-0xfe8dffff irq 16 at device 0.0 on pci1.   All my NICs are Intel and use the same driver.

    on a side note, i noticed file transfers to the box improve a lot</intel(r)>



  • In my case at least bandwidthd, freeradius2 do not come up after configuration through the web interface.
    It seems that the freeradius configuration files have not been created - i don't even see log entries.



  • @epek:

    In my case at least bandwidthd, freeradius2 do not come up after configuration through the web interface.
    It seems that the freeradius configuration files have not been created - i don't even see log entries.

    im not using those packages right now but since 2.1 moved to php 5.3, packages may need to be updated to relate new/removed functions within php… example vnstat is using code that doesn't compile with php 5.3



  • can you please file tickets in redmine against pfsense-packages for the specific packages in question?



  • Another bug after updating to recent snapshot:

    PHP Errors:
    [19-Apr-2012 06:46:19 UTC] PHP Fatal error:  require_once(): Failed opening required '/usr/local/pkg/shellcmd.inc' (include_path='.:/etc/inc:/usr/local/www:/usr/local/captiveportal:/usr/local/pkg') in /etc/inc/filter.inc on line 3222

    2.1-DEVELOPMENT (amd64)
    built on Wed Apr 18 13:53:27 EDT 2012


Log in to reply